@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes fadeOut5 {
  0% {
    opacity: 1;
  }
  20% {
    opacity: 0.8;
  }
  40% {
    opacity: 0.6;
  }
  60% {
    opacity: 0.4;
  }
  80% {
    opacity: 0.6;
  }
  100% {
    opacity: 0.8;
  }
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
@keyframes changeHeight {
  from {
    height: 0;
  }
  to {
    height: 100%;
  }
}
@keyframes MoveUpDown {
  0%, 100% {
    transform: translateY(20%);
  }
  50% {
    transform: translateY(-50%);
  }
}
@keyframes draw {
  0% {
    stroke-dasharray: 140 540;
    stroke-dashoffset: -474;
    stroke-width: 8px;
  }
  100% {
    stroke-dasharray: 760;
    stroke-dashoffset: 0;
    stroke-width: 2px;
  }
}
figure,
picture {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
figure img,
picture img {
  width: 100%;
  height: 100%;
}
.eclipse_text {
  overflow: hidden;
  text-overflow: ellipsis;
}
.required:after {
  content: '*';
  color: #f00;
  margin-left: 5px;
}
.is_required:before {
  content: '*';
  color: #f00;
  margin-right: 5px;
}
.socials-page {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 45px;
  height: 45px;
  font-size: 30px;
  color: #fff;
  text-align: center;
}
.socials-page:not(:first-child) {
  margin-left: 1rem;
}
.socials-page:hover,
.socials-page:focus,
.socials-page:active {
  text-decoration: none;
  color: #fff;
}
label {
  cursor: pointer;
}
textarea {
  resize: none;
}
.btn-custom {
  text-align: center;
  border: 1px solid #000;
  text-decoration: none;
  color: #000;
  background-color: transparent;
}
.btn-custom.active,
.btn-custom:hover,
.btn-custom:focus {
  text-decoration: none;
  outline: none;
}
.btn-loading {
  position: relative;
  pointer-events: none;
  color: transparent !important;
}
.btn-loading::after {
  animation: spin 500ms infinite linear;
  border: 2px solid #000;
  border-radius: 50%;
  border-right-color: transparent;
  border-top-color: transparent;
  content: "";
  display: block;
  height: 1em;
  width: 1em;
  position: absolute;
  left: calc(50% - (1em / 2));
  top: calc(50% - (1em / 2));
}
.ya-share2__badge {
  border-radius: 0 !important;
}
.fw200 {
  font-weight: 200 !important;
}
.fw300 {
  font-weight: 300 !important;
}
.fw400 {
  font-weight: 400 !important;
}
.fw500 {
  font-weight: 500 !important;
}
.fw600 {
  font-weight: 600 !important;
}
.fwb {
  font-weight: bold !important;
}
.spin {
  animation: spin 2s infinite linear;
}
.lazy,
.lazy-img[lazy=loaded],
.lazy-img[lazy=loading],
.lazy-img[lazy-progressive=true] {
  animation-duration: 1s;
  animation-fill-mode: both;
  animation-name: fadeIn;
}
.lazy-img[lazy=loading],
.lazy-img[lazy-progressive=true] {
  width: 100% !important;
}
.fs-10 {
  font-size: 10px !important;
}
.fs-11 {
  font-size: 11px !important;
}
.fs-12 {
  font-size: 12px !important;
}
.fs-13 {
  font-size: 13px !important;
}
.fs-14 {
  font-size: 14px !important;
}
.fs-15 {
  font-size: 15px !important;
}
.fs-16 {
  font-size: 16px !important;
}
.fs-17 {
  font-size: 17px !important;
}
.fs-18 {
  font-size: 18px !important;
}
.fs-19 {
  font-size: 19px !important;
}
.fs-20 {
  font-size: 20px !important;
}
.fs-21 {
  font-size: 21px !important;
}
.fs-22 {
  font-size: 22px !important;
}
.fs-23 {
  font-size: 23px !important;
}
.fs-24 {
  font-size: 24px !important;
}
.fs-25 {
  font-size: 25px !important;
}
.fs-26 {
  font-size: 26px !important;
}
.fs-27 {
  font-size: 27px !important;
}
.fs-28 {
  font-size: 28px !important;
}
.fs-29 {
  font-size: 29px !important;
}
.fs-30 {
  font-size: 30px !important;
}
.fs-31 {
  font-size: 31px !important;
}
.fs-32 {
  font-size: 32px !important;
}
.fs-33 {
  font-size: 33px !important;
}
.fs-34 {
  font-size: 34px !important;
}
.fs-35 {
  font-size: 35px !important;
}
.fs-36 {
  font-size: 36px !important;
}
.fs-37 {
  font-size: 37px !important;
}
.fs-38 {
  font-size: 38px !important;
}
.fs-39 {
  font-size: 39px !important;
}
.fs-40 {
  font-size: 40px !important;
}

